# AutoRPC.h File Reference

Automatically serializing and deserializing RPC system. More advanced RPC, but possibly not cross-platform. More...

`#include "PluginInterface2.h"`
`#include "DS_Map.h"`
`#include "PacketPriority.h"`
`#include "RakNetTypes.h"`
`#include "BitStream.h"`
`#include "Gen_RPC8.h"`
`#include "RakString.h"`

## Classes

class | RakNet::AutoRPC

## Namespaces

namespace | RakNet
| Forward declaration.

## Defines

#define | ARPC_MAX_STACK_SIZE 65536
| Maximum amount of data that can be passed on the stack in a function call.

## Enumerations

enum

RakNet::RPCErrorCodes {
RakNet::RPC_ERROR_NETWORK_ID_MANAGER_UNAVAILABLE, RakNet::RPC_ERROR_OBJECT_DOES_NOT_EXIST, RakNet::RPC_ERROR_FUNCTION_INDEX_OUT_OF_RANGE, RakNet::RPC_ERROR_FUNCTION_NOT_REGISTERED,
RakNet::RPC_ERROR_FUNCTION_NO_LONGER_REGISTERED, RakNet::RPC_ERROR_CALLING_CPP_AS_C, RakNet::RPC_ERROR_CALLING_C_AS_CPP, RakNet::RPC_ERROR_STACK_TOO_SMALL,
RakNet::RPC_ERROR_STACK_DESERIALIZATION_FAILED, RakNet::RPC_ERROR_INCORRECT_NUMBER_OF_PARAMETERS, RakNet::RPC_ERROR_NETWORK_ID_MANAGER_UNAVAILABLE, RakNet::RPC_ERROR_OBJECT_DOES_NOT_EXIST,
RakNet::RPC_ERROR_FUNCTION_INDEX_OUT_OF_RANGE, RakNet::RPC_ERROR_FUNCTION_NOT_REGISTERED, RakNet::RPC_ERROR_FUNCTION_NO_LONGER_REGISTERED, RakNet::RPC_ERROR_CALLING_CPP_AS_C,
RakNet::RPC_ERROR_CALLING_C_AS_CPP
}

## Detailed Description

Automatically serializing and deserializing RPC system. More advanced RPC, but possibly not cross-platform.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.